Bug 772791 - OpenTTD slow read attack
OpenTTD slow read attack
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 773450
  Show dependency treegraph
Reported: 2012-01-09 19:14 EST by Kurt Seifried
Modified: 2015-07-31 02:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-31 04:37:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-01-09 19:14:50 EST

Hi folks,

we, the OpenTTD developers, have identified a security vulnerability in
OpenTTD (an open source game with multiplayer). Would you be so kind as to allocate a CVE id for this issue?

The issue concerns a denial of service vulnerability in the form of a slow read attack preventing anyone to join the server, and preventing the continuation of a game when 'pause on join' is enabled. This attack requires the attacker to be authorized, but most servers do not implement authorization. The first vulnerable version is 0.3.5, the upcoming 1.1.5 release will have the issue fixed.

Once a CVE id is allocated, the issue and fix will be documented at

Thanks in advance,
Remko 'Rubidium' Bijker

(Please CC me, I'm not subscribed)
Comment 1 Kurt Seifried 2012-01-11 16:04:59 EST
Created openttd tracking bugs for this issue

Affects: fedora-all [bug 773450]
Comment 2 Fedora Update System 2012-01-27 22:24:17 EST
openttd-1.1.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2012-01-27 22:26:05 EST
openttd-1.1.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.